
rgw - Bug #54947

crash: ceph::buffer::ptr::ptr(ceph::buffer::ptr const&)

03/19/2022 01:29 AM - Telemetry Bot

Status: Duplicate % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category:    

Target version:    

Source: Telemetry Affected Versions: v16.2.7

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1): dd8979e36af5f56997cfc5fda56db30aff39

609c8fa7199d38d3b1821b8a1f7e

Severity: 3 - minor Crash signature (v2): "84b4c8d9ea9507c1aa1ac1c894a10b66

1c918d2b20616d1a4b0ef58e9d2e08b0":

http://telemetry.front.sepia.ceph.com:400

0/d/jByk5HaMz/crash-spec-x-ray?orgId=

1&var-sig_v2=84b4c8d9ea9507c1aa1ac

1c894a10b661c918d2b20616d1a4b0ef5

8e9d2e08b0

Reviewed:    

Description

http://telemetry.front.sepia.ceph.com:4000/d/jByk5HaMz/crash-spec-x-ray?orgId=1&var-sig_v2=84b4c8d9ea9507c1aa1ac1c894a10b

661c918d2b20616d1a4b0ef58e9d2e08b0

Sanitized backtrace:

    ceph::buffer::ptr::ptr(ceph::buffer::ptr const&)

    ceph::buffer::ptr_node::cloner::operator()(ceph::buffer::ptr_node const&)

    std::_Rb_tree<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::pai

r<std::basic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::list

>, std::_Select1st<std::pair<std::basic_string<char, std::char_traits<char>, std::allocator<char> 

> const, ceph::buffer::list> >, std::less<std::basic_string<char, std::char_traits<char>, std::all

ocator<char> > >, std::allocator<std::pair<std::basic_string<char, std::char_traits<char>, std::al

locator<char> > const, ceph::buffer::list> > >::operator=(std::_Rb_tree<std::basic_string<char, st

d::char_traits<char>, std::allocator<char> >, std::pair<std::basic_string<char, std::char_traits<c

har>, std::allocator<char> > const, ceph::buffer::list>, std::_Select1st<std::pair<std::basic_stri

ng<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::list> >, std::less<st

d::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<s

td::basic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::list> >

 > const&)

    ObjectCache::get(DoutPrefixProvider const*, std::basic_string<char, std::char_traits<char>, st

d::allocator<char> > const&, ObjectCacheInfo&, unsigned int, rgw_cache_entry_info*)

    RGWSI_SysObj_Cache::read(DoutPrefixProvider const*, RGWSysObjectCtxBase&, RGWSI_SysObj_Obj_Get

ObjState&, RGWObjVersionTracker*, rgw_raw_obj const&, ceph::buffer::list*, long, long, std::map<st

d::basic_string<char, std::char_traits<char>, std::allocator<char> >, ceph::buffer::list, std::les

s<std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pa

ir<std::basic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::lis

t> > >*, bool, rgw_cache_entry_info*, boost::optional<obj_version>, optional_yield)

    RGWSI_SysObj::Obj::ROp::read(DoutPrefixProvider const*, long, long, ceph::buffer::list*, optio

nal_yield)

    rgw_get_system_obj(RGWSysObjectCtx&, rgw_pool const&, std::basic_string<char, std::char_traits

<char>, std::allocator<char> > const&, ceph::buffer::list&, RGWObjVersionTracker*, std::chrono::ti

me_point<ceph::real_clock, std::chrono::duration<unsigned long, std::ratio<1l, 1000000000l> > >*, 

optional_yield, DoutPrefixProvider const*, std::map<std::basic_string<char, std::char_traits<char>

, std::allocator<char> >, ceph::buffer::list, std::less<std::basic_string<char, std::char_traits<c
har>, std::allocator<char> > >, std::allocator<std::pair<std::basic_string<char, std::char_traits<

char>, std::allocator<char> > const, ceph::buffer::list> > >*, rgw_cache_entry_info*, boost::optio

nal<obj_version>)

    RGWSI_MetaBackend_SObj::get_entry(RGWSI_MetaBackend::Context*, std::basic_string<char, std::ch

ar_traits<char>, std::allocator<char> > const&, RGWSI_MetaBackend::GetParams&, RGWObjVersionTracke

r*, optional_yield, DoutPrefixProvider const*)

    RGWSI_Bucket_SObj::do_read_bucket_instance_info(ptr_wrapper<RGWSI_MetaBackend::Context, 4>&, s

td::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, RGWBucketInfo*, std:

:chrono::time_point<ceph::real_clock, std::chrono::duration<unsigned long, std::ratio<1l, 10000000

00l> > >*, std::map<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, ceph::

buffer::list, std::less<std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, 

std::allocator<std::pair<std::basic_string<char, std::char_traits<char>, std::allocator<char> > co

nst, ceph::buffer::list> > >*, rgw_cache_entry_info*, boost::optional<obj_version>, optional_yield

, DoutPrefixProvider const*)

    RGWSI_Bucket_SObj::read_bucket_instance_info(ptr_wrapper<RGWSI_MetaBackend::Context, 4>&, std:

:basic_string<char, std::char_traits<char>, std::allocator<char> > const&, RGWBucketInfo*, std::ch

rono::time_point<ceph::real_clock, std::chrono::duration<unsigned long, std::ratio<1l, 1000000000l

> > >*, std::map<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, ceph::buf

fer::list, std::less<std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std

::allocator<std::pair<std::basic_string<char, std::char_traits<char>, std::allocator<char> > const

, ceph::buffer::list> > >*, optional_yield, DoutPrefixProvider const*, rgw_cache_entry_info*, boos

t::optional<obj_version>)

    RGWSI_MetaBackend_SObj::call(std::optional<std::variant<RGWSI_MetaBackend_CtxParams_SObj> >, s

td::function<int (RGWSI_MetaBackend::Context*)>)

    RGWSI_MetaBackend_Handler::call(std::optional<std::variant<RGWSI_MetaBackend_CtxParams_SObj> >

, std::function<int (RGWSI_MetaBackend_Handler::Op*)>)

    RGWBucketCtl::read_bucket_info(rgw_bucket const&, RGWBucketInfo*, optional_yield, DoutPrefixPr

ovider const*, RGWBucketCtl::BucketInstance::GetParams const&, RGWObjVersionTracker*)

    rgw::sal::RGWRadosBucket::get_bucket_info(DoutPrefixProvider const*, optional_yield)

    rgw::sal::RGWRadosStore::get_bucket(DoutPrefixProvider const*, rgw::sal::RGWUser*, rgw_bucket 

const&, std::unique_ptr<rgw::sal::RGWBucket, std::default_delete<rgw::sal::RGWBucket> >*, optional

_yield)

    rgw_build_bucket_policies(DoutPrefixProvider const*, rgw::sal::RGWRadosStore*, req_state*, opt

ional_yield)

    RGWHandler::do_init_permissions(DoutPrefixProvider const*, optional_yield)

    RGWHandler_REST::init_permissions(RGWOp*, optional_yield)

    rgw_process_authenticated(RGWHandler_REST*, RGWOp*&, RGWRequest*, req_state*, optional_yield, 

bool)

    process_request(rgw::sal::RGWRadosStore*, RGWREST*, RGWRequest*, std::basic_string<char, std::

char_traits<char>, std::allocator<char> > const&, rgw::auth::StrategyRegistry const&, RGWRestfulIO

*, OpsLogSink*, optional_yield, rgw::dmclock::Scheduler*, std::basic_string<char, std::char_traits

<char>, std::allocator<char> >*, std::chrono::duration<unsigned long, std::ratio<1l, 1000000000l> 

>*, int*)

    make_fcontext()

Crash dump sample:

{

    "backtrace": [

        "/lib64/libpthread.so.0(+0x12c20) [0x7f3b73422c20]",

        "(ceph::buffer::v15_2_0::ptr::ptr(ceph::buffer::v15_2_0::ptr const&)+0x1b) [0x7f3b7d7b666b

]",

        "(ceph::buffer::v15_2_0::ptr_node::cloner::operator()(ceph::buffer::v15_2_0::ptr_node cons

t&)+0x2e) [0x7f3b7d7b878e]",

        "(std::_Rb_tree_node<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, st

d::allocator<char> > const, ceph::buffer::v15_2_0::list> >* std::_Rb_tree<std::__cxx11::basic_stri

ng<char, std::char_traits<char>, std::allocator<char> >, std::pair<std::__cxx11::basic_string<char

, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list>, std::_Select

1st<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > cons

t, ceph::buffer::v15_2_0::list> >, std::less<std::__cxx11::basic_string<char, std::char_traits<cha

r>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_

traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list> > >::_M_copy<std::_Rb_tre

e<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::pair<std::

__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::v1

5_2_0::list>, std::_Select1st<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, s
td::allocator<char> > const, ceph::buffer::v15_2_0::list> >, std::less<std::__cxx11::basic_string<

char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::bas

ic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list>

 > >::_Reuse_or_alloc_node>(std::_Rb_tree_node<std::pair<std::__cxx11::basic_string<char, std::cha

r_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list> > const*, std::_Rb_tree

_node_base*, std::_Rb_tree<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator

<char> >, std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> 

> const, ceph::buffer::v15_2_0::list>, std::_Select1st<std::pair<std::__cxx11::basic_string<char, 

std::char_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list> >, std::less<st

d::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<st

d::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, cep

h::buffer::v15_2_0::list> > >::_Reuse_or_alloc_node&)+0x4c3) [0x7f3b7e044103]",

        "(std::_Rb_tree<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<ch

ar> >, std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > c

onst, ceph::buffer::v15_2_0::list>, std::_Select1st<std::pair<std::__cxx11::basic_string<char, std

::char_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list> >, std::less<std::

__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<std::

pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::

buffer::v15_2_0::list> > >::operator=(std::_Rb_tree<std::__cxx11::basic_string<char, std::char_tra

its<char>, std::allocator<char> >, std::pair<std::__cxx11::basic_string<char, std::char_traits<cha

r>, std::allocator<char> > const, ceph::buffer::v15_2_0::list>, std::_Select1st<std::pair<std::__c

xx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2

_0::list> >, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<cha

r> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::all

ocator<char> > const, ceph::buffer::v15_2_0::list> > > const&)+0x93) [0x7f3b7e0443b3]",

        "(ObjectCache::get(DoutPrefixProvider const*, std::__cxx11::basic_string<char, std::char_t

raits<char>, std::allocator<char> > const&, ObjectCacheInfo&, unsigned int, rgw_cache_entry_info*)

+0x1481) [0x7f3b7e1ac471]",

        "(RGWSI_SysObj_Cache::read(DoutPrefixProvider const*, RGWSysObjectCtxBase&, RGWSI_SysObj_O

bj_GetObjState&, RGWObjVersionTracker*, rgw_raw_obj const&, ceph::buffer::v15_2_0::list*, long, lo

ng, std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, ceph

::buffer::v15_2_0::list, std::less<std::__cxx11::basic_string<char, std::char_traits<char>, std::a

llocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, std::char_traits<cha

r>, std::allocator<char> > const, ceph::buffer::v15_2_0::list> > >*, bool, rgw_cache_entry_info*, 

boost::optional<obj_version>, optional_yield)+0x359) [0x7f3b7e61c279]",

        "(RGWSI_SysObj::Obj::ROp::read(DoutPrefixProvider const*, long, long, ceph::buffer::v15_2_

0::list*, optional_yield)+0xd1) [0x7f3b7e11bbd1]",

        "(rgw_get_system_obj(RGWSysObjectCtx&, rgw_pool const&, std::__cxx11::basic_string<char, s

td::char_traits<char>, std::allocator<char> > const&, ceph::buffer::v15_2_0::list&, RGWObjVersionT

racker*, std::chrono::time_point<ceph::real_clock, std::chrono::duration<unsigned long, std::ratio

<1l, 1000000000l> > >*, optional_yield, DoutPrefixProvider const*, std::map<std::__cxx11::basic_st

ring<char, std::char_traits<char>, std::allocator<char> >, ceph::buffer::v15_2_0::list, std::less<

std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::allocator<

std::pair<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const, c

eph::buffer::v15_2_0::list> > >*, rgw_cache_entry_info*, boost::optional<obj_version>)+0x1d6) [0x7

f3b7e4e85c6]",

        "(RGWSI_MetaBackend_SObj::get_entry(RGWSI_MetaBackend::Context*, std::__cxx11::basic_strin

g<char, std::char_traits<char>, std::allocator<char> > const&, RGWSI_MetaBackend::GetParams&, RGWO

bjVersionTracker*, optional_yield, DoutPrefixProvider const*)+0xf0) [0x7f3b7e60b4a0]",

        "(RGWSI_Bucket_SObj::do_read_bucket_instance_info(ptr_wrapper<RGWSI_MetaBackend::Context, 

4>&, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, RGWBu

cketInfo*, std::chrono::time_point<ceph::real_clock, std::chrono::duration<unsigned long, std::rat

io<1l, 1000000000l> > >*, std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::a

llocator<char> >, ceph::buffer::v15_2_0::list, std::less<std::__cxx11::basic_string<char, std::cha

r_traits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char

, std::char_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list> > >*, rgw_cac

he_entry_info*, boost::optional<obj_version>, optional_yield, DoutPrefixProvider const*)+0x1ae) [0

x7f3b7e5ed49e]",

        "(RGWSI_Bucket_SObj::read_bucket_instance_info(ptr_wrapper<RGWSI_MetaBackend::Context, 4>&

, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, RGWBucke

tInfo*, std::chrono::time_point<ceph::real_clock, std::chrono::duration<unsigned long, std::ratio<

1l, 1000000000l> > >*, std::map<std::__cxx11::basic_string<char, std::char_traits<char>, std::allo

cator<char> >, ceph::buffer::v15_2_0::list, std::less<std::__cxx11::basic_string<char, std::char_t

raits<char>, std::allocator<char> > >, std::allocator<std::pair<std::__cxx11::basic_string<char, s

td::char_traits<char>, std::allocator<char> > const, ceph::buffer::v15_2_0::list> > >*, optional_y

ield, DoutPrefixProvider const*, rgw_cache_entry_info*, boost::optional<obj_version>)+0x3db) [0x7f

3b7e5eda5b]",
        "/lib64/libradosgw.so.2(+0x6937ba) [0x7f3b7e16f7ba]",

        "(std::_Function_handler<int (RGWSI_MetaBackend_Handler::Op*), RGWBucketInstanceMetadataHa

ndler::call(std::optional<std::variant<RGWSI_MetaBackend_CtxParams_SObj> >, std::function<int (ptr

_wrapper<RGWSI_MetaBackend::Context, 4>&)>)::{lambda(RGWSI_MetaBackend_Handler::Op*)#1}>::_M_invok

e(std::_Any_data const&, RGWSI_MetaBackend_Handler::Op*&&)+0x36) [0x7f3b7e189056]",

        "/lib64/libradosgw.so.2(+0xb2c85e) [0x7f3b7e60885e]",

        "(RGWSI_MetaBackend_SObj::call(std::optional<std::variant<RGWSI_MetaBackend_CtxParams_SObj

> >, std::function<int (RGWSI_MetaBackend::Context*)>)+0x180) [0x7f3b7e60bea0]",

        "(RGWSI_MetaBackend_Handler::call(std::optional<std::variant<RGWSI_MetaBackend_CtxParams_S

Obj> >, std::function<int (RGWSI_MetaBackend_Handler::Op*)>)+0x5f) [0x7f3b7e60868f]",

        "(RGWBucketCtl::read_bucket_info(rgw_bucket const&, RGWBucketInfo*, optional_yield, DoutPr

efixProvider const*, RGWBucketCtl::BucketInstance::GetParams const&, RGWObjVersionTracker*)+0x21e)

 [0x7f3b7e17094e]",

        "(rgw::sal::RGWRadosBucket::get_bucket_info(DoutPrefixProvider const*, optional_yield)+0x1

3c) [0x7f3b7e4d985c]",

        "(rgw::sal::RGWRadosStore::get_bucket(DoutPrefixProvider const*, rgw::sal::RGWUser*, rgw_b

ucket const&, std::unique_ptr<rgw::sal::RGWBucket, std::default_delete<rgw::sal::RGWBucket> >*, op

tional_yield)+0x3ff) [0x7f3b7e4d826f]",

        "(rgw_build_bucket_policies(DoutPrefixProvider const*, rgw::sal::RGWRadosStore*, req_state

*, optional_yield)+0xb8f) [0x7f3b7e3b5f7f]",

        "(RGWHandler::do_init_permissions(DoutPrefixProvider const*, optional_yield)+0x3e) [0x7f3b

7e3b705e]",

        "(RGWHandler_REST::init_permissions(RGWOp*, optional_yield)+0x19f) [0x7f3b7e4514ef]",

        "(rgw_process_authenticated(RGWHandler_REST*, RGWOp*&, RGWRequest*, req_state*, optional_y

ield, bool)+0x1ac) [0x7f3b7e0395fc]",

        "(process_request(rgw::sal::RGWRadosStore*, RGWREST*, RGWRequest*, std::__cxx11::basic_str

ing<char, std::char_traits<char>, std::allocator<char> > const&, rgw::auth::StrategyRegistry const

&, RGWRestfulIO*, OpsLogSink*, optional_yield, rgw::dmclock::Scheduler*, std::__cxx11::basic_strin

g<char, std::char_traits<char>, std::allocator<char> >*, std::chrono::duration<unsigned long, std:

:ratio<1l, 1000000000l> >*, int*)+0x2891) [0x7f3b7e03de21]",

        "/lib64/libradosgw.so.2(+0x4b1b63) [0x7f3b7df8db63]",

        "/lib64/libradosgw.so.2(+0x4b3604) [0x7f3b7df8f604]",

        "/lib64/libradosgw.so.2(+0x4b386e) [0x7f3b7df8f86e]",

        "make_fcontext()" 

    ],

    "ceph_version": "16.2.7",

    "crash_id": "2022-03-08T06:22:25.467991Z_6d1b40d5-2f1a-46a3-95aa-2b9294ba0a90",

    "entity_name": "client.347ac0c88fb6472a5e74d2afcd8246509b974553",

    "os_id": "centos",

    "os_name": "CentOS Stream",

    "os_version": "8",

    "os_version_id": "8",

    "process_name": "radosgw",

    "stack_sig": "dd8979e36af5f56997cfc5fda56db30aff39609c8fa7199d38d3b1821b8a1f7e",

    "timestamp": "2022-03-08T06:22:25.467991Z",

    "utsname_machine": "x86_64",

    "utsname_release": "5.4.0-100-generic",

    "utsname_sysname": "Linux",

    "utsname_version": "#113-Ubuntu SMP Thu Feb 3 18:43:29 UTC 2022" 

}

Related issues:

Duplicates rgw - Bug #51927: crash: RGWSI_MetaBackend_SObj Resolved

History

#1 - 03/19/2022 01:29 AM - Telemetry Bot

- Crash signature (v1) updated

- Crash signature (v2) updated

- Affected Versions v16.2.7 added

#2 - 03/31/2022 01:39 PM - Casey Bodley

- Duplicates Bug #51927: crash: RGWSI_MetaBackend_SObj added
#3 - 03/31/2022 01:39 PM - Casey Bodley

- Status changed from New to Duplicate
